From 46421fedf6fe291bfcb63482f3bfa9bb2c7fdff6 Mon Sep 17 00:00:00 2001
From: gramanas <anastasis.gramm2@gmail.com>
Date: Tue, 23 Oct 2018 17:42:28 +0300
Subject: Remove site clutter and rename test folder (tests -> test)

---
 test/01_add | 48 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)
 create mode 100644 test/01_add

(limited to 'test/01_add')

diff --git a/test/01_add b/test/01_add
new file mode 100644
index 0000000..1de64bf
--- /dev/null
+++ b/test/01_add
@@ -0,0 +1,48 @@
+#!/bin/bash
+
+init add
+
+# setup test configs
+echo "Test 1" > $BIN/test1.conf
+echo "Test 2" > $BIN/test2.conf
+echo "Test 3" > $BIN/test3.conf
+
+function run_add {
+    # add configs to ck
+    exec $BIN/ck -c $BIN add $1 $BIN/$2 $3 $4 > /dev/null &
+    wait $!
+
+    if [ $? -ne 0 ]; then
+        err "ck crashed."
+    fi
+
+    # check db
+    if [ "$(sqlite3 $BIN/ckdb "select name from program where name = '$1'")" != "$1" ]; then
+        err "$1 is not in the db."
+    fi
+    
+    if [ "$(sqlite3 $BIN/ckdb "select path from config where path = '$BIN/$2'")" != "$BIN/$2" ]; then
+        err "$2 is not in the db."
+    fi
+
+    # check files
+    FOLDER=vc
+    if [[ "$3" = "-s" || "$4" = "-s" ]]; then
+        FOLDER=sec
+    fi
+
+    if [ ! -f $TEST_LOCATION/$FOLDER/$1/$2 ]; then
+        err "$2 No move (add $3 $4)"
+    fi
+
+    if [ ! -L $BIN/$2 ]; then
+        err "$2 No symlink (add $3 $4)"
+    fi  
+}
+
+run_add prog1 test1.conf -p
+run_add prog2 test2.conf -s
+run_add prog3 test3.conf -p -s
+
+clear_tests
+echo -e $PASS
-- 
cgit v1.2.3